%define url_ver %(echo %{version} | cut -c 1-3)
%define major 0
%define apiversion 1
%define libname	%mklibname %{name}-%{apiversion}_ %{major}
%define develname %mklibname %{name} -d

Summary:	An extension library to Xfce desktop environment
Name:		exo
Version:	0.5.4
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.xfce.org
Source:		http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-linkage_fix.diff
Patch1:		exo-0.3.105-use-utf8-by-default.patch
Patch2:		exo-0.3.105-notification-expires.patch
BuildRequires:	gtk2-devel
BuildRequires:	libxfcegui4-devel >= 4.6.0
BuildRequires:	gtk-doc
BuildRequires:	perl(URI::Escape)
BuildRequires:	hal-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library to Xfce
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Main library for the libexo.

%package -n %{develname}
Summary:	Headers, static libraries and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name}-%{apiversion}_ 0 -d

%description -n %{develname}
Headers, static libraries and documentation for libexo.

%package -n python-%{name}
Summary:	Python bindings for the exo library
Group:		Development/Python
%py_requires -d
BuildRequires:	pygtk2.0-devel

%description -n python-%{name}
This package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the libexo package.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%build

%configure2_5x \
%if %mdkversion < 200900
	--sysconfdir=%{_sysconfdir}/X11 \
%endif
	--enable-gio-unix \
	--enable-python \
	--disable-static \
	--enable-gtk-doc

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# (tpg) already in mandriva-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

%find_lang %{name}-%{apiversion}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%files -f %{name}-%{apiversion}.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog TODO
%{_bindir}/exo*
%{_libdir}/xfce4/%{name}-%{apiversion}/exo-helper-%{apiversion}
%{_libdir}/xfce4/%{name}-%{apiversion}/exo-compose-mail-%{apiversion}
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/exo*
%{_datadir}/pixmaps/exo-%{apiversion}/exo-thumbnail-frame.png
%{_datadir}/gtk-doc/html/%{name}-%{apiversion}/*
%{_libdir}/gio/modules/libexo-module-%{apiversion}.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiversion}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/exo-*%{apiversion}.pc
%{_includedir}/*

%files -n python-%{name}
%defattr(-,root,root)
%doc python/examples/README python/examples/ellipsizing.py python/examples/toolbars.py
%{_datadir}/pygtk/2.0/defs/exo*
%{_libdir}/python*/site-packages/exo*
%{py_sitedir}/pyexo*


%changelog
* Wed Nov 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-2mdv2011.0
+ Revision: 592706
- use rm instead of %%exclude
- drop old conditions for mdv older than 200900
- rebuild for new python

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 579278
- update configure options
- update to new version 0.5.4
- disable all patches
- fix file list

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.107-1mdv2011.0
+ Revision: 553763
- update to new version 0.3.107
- drop patch 3, merged by upstream

* Thu Jun 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.106-2mdv2010.1
+ Revision: 547011
- reorder patches
- add upstream patch to make treeview work with gtk 2.20, should fix (mdv #58909)

* Sun Dec 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.106-1mdv2010.1
+ Revision: 478206
- update to new version 0.3.106
- drop patch 6, applied by upstream

* Sat Oct 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.105-2mdv2010.0
+ Revision: 459135
- drop patch 5, because it is useless
- Patch6: don't mount all medias with sync option
- Patch7: use UTF-8 as a default charset for mounted medias
- Patch8: use default expire time for notifications

* Sun Oct 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.105-1mdv2010.0
+ Revision: 458139
- update to new version 0.3.105
- rediff patch 5
- keep only libraries in the library subpackage, move other files into main exo package

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.104-1mdv2010.0
+ Revision: 456676
- update to new version 0.3.104
- drop patches 2 and 3, because they were merged by upstream
- rediff patch 5

* Mon Aug 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.102-1mdv2010.0
+ Revision: 420538
- update to new version 0.3.102
- drop merged patches 6 and 7

* Wed Aug 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-4mdv2010.0
+ Revision: 409624
- Patch7: fix segfault in exo_icon_view_get_item_at_pos

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-3mdv2010.0
+ Revision: 385053
- both disabled patches in last commit are still needed

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-2mdv2010.0
+ Revision: 385026
- Patch6: ignore unknown options passed to exo-open
- temporarily disable two old patches, don't know if they have some effect

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.101-1mdv2010.0
+ Revision: 368573
- update to new version 0.3.101

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.100-3mdv2009.1
+ Revision: 364223
- Patch6: quote arguments passed to exo open

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.100-2mdv2009.1
+ Revision: 349139
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.100-1mdv2009.1
+ Revision: 345641
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch5: use noatime mout flag if allowed by hal

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.99.1-1mdv2009.1
+ Revision: 333834
- update to new version 0.3.99.1

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 0.3.93-1mdv2009.1
+ Revision: 329516
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.3.93

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.92-4mdv2009.1
+ Revision: 320579
- move buildrequires on python-devel to python-exo subpackage

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.3.92-3mdv2009.1
+ Revision: 320547
- fix build

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.92-2mdv2009.1
+ Revision: 303456
- update to new version 0.3.92 (Xfce 4.6 Beta 2 Hopper)

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-2mdv2009.1
+ Revision: 302343
- rebuild

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.91-1mdv2009.1
+ Revision: 294424
- Xfce4.6 beta1 is landing on cooker
- drop patches 0 and 1

* Wed Aug 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-5mdv2009.0
+ Revision: 274186
- Patch1: add support for LUKS encrypted volumes (upstream bug #3349)
- revert, it is pointless to backport this patch, too much effort
- Patch4: add support for LUKS encrypted volumes (upstream bug #3349)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-3mdv2009.0
+ Revision: 205642
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 188933
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 114971
- New release 0.3.4

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-10mdv2008.1
+ Revision: 110660
- new license policy
- fix buildrequires
- %%{libname} requires %%{name} istead of itself
- update summary and description for devel package
- do not package COPYING and INSTALL files, add ChangeLog instead

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-9mdv2008.0
+ Revision: 92269
- fix umount removable devices

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-8mdv2008.0
+ Revision: 91877
- exclude helpers.rc

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-7mdv2008.0
+ Revision: 79548
- determine the preffered iocharset for filesystem that support it

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-6mdv2008.0
+ Revision: 75084
- provide patch 1 (missing header)
- do not generate docs with gtk-doc

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-5mdv2008.0
+ Revision: 71411
- provide patch 0

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-4mdv2008.0
+ Revision: 44112
- move translations to the main library
- new devel library policy
- disable building of static files rather deleting them
- correct provides/obsoletes
- fix file list

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-3mdv2008.0
+ Revision: 33177
- drop __libtoolize
- use macros in %%post and %%postun
- spec file clean


* Sat Feb 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-2mdv2007.0
+ Revision: 125330
- Fix Hal support ( pointed out by Scara)
- Remove duplicate BR

* Tue Jan 23 2007 plouf <plouf> 0.3.2-1mdv2007.1
+ Revision: 112304
- New release 0.3.2

* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 0.3.1.12-0.rc2mdv2007.1
+ Revision: 90998
- Update

  + Götz Waschk <waschk@mandriva.org>
    - fix provides
    - fix post and postun scripts

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1.8-0.beta2.2mdv2007.1
+ Revision: 72674
-  Add BuildRequires
- import exo-0.3.1.8-0.beta2.1mdv2007.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.1.8-0.beta2.1mdv2007.0
- 0.3.1.8beta2
- update file list

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.2mdk
- Add Provides

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 0.3.1.6-0.beta1.1mdk
- 0.3.1.6 beta1

* Sun Mar 12 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.3mdk
- package noarch files in prefix/lib

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.2mdk
- .la is not part of lib package

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.1mdk
- svn r20246
- update filelist

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.2mdk
- buildrequires xfce-mcs-manager-devel python

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.1mdk
- 0.3.1 from SVN r19739
- don't run libtoolize
- update filelist
- add exo package
- provide and obsolete libexo-0.2_0-devel

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-2mdk
- BR
- mv pygtk file to python pkg

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-1mdk
- 0.3.0
- update file list
- add python-exo pkg

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- first Mdk release

